Pulp - Task #3346

Add documentation for Exporter plugins
02/06/2018 06:26 PM - amacdona@redhat.com

Status: NEW Start date:

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0:00 hour
Sprint/Milestone:

Platform Release: Tags: Documentation
Groomed: Yes Sprint:

Sprint Candidate: No Quarter:

Description

Exporters should be documented separately from the other objects because in many cases, they will exist in their own isolated
plugin.

For example a filesystem exporter would need to be its own plugin because writing publications to a filesystem is a general need and
can be done for any content type.

This documentation should explain how to implement the Exporter Model, Viewset, and Serializer. It should also explain how to use
the plugin template to create an Exporter plugin. (The template will include unnecessary objects, like an Importer.)

Related issues:

Related to Pulp - Story #3345: Add Exporter template CLOSED - WONTFIX
Blocked by Pulp - Task #2894: Add Exporter support. CLOSED - CURRENTRELEASE
History

#1 - 02/06/2018 06:27 PM - amacdona@redhat.com
- Blocked by Task #2894: Add Exporter support. added

#2 - 02/06/2018 06:28 PM - amacdona@redhat.com
- Blocks Story #3345: Add Exporter template added

#3 - 02/06/2018 06:28 PM - amacdona@redhat.com
- Blocks deleted (Story #3345: Add Exporter template)

#4 - 02/06/2018 06:28 PM - amacdona@redhat.com
- Related to Story #3345: Add Exporter template added

#5 - 02/06/2018 06:33 PM - jortel@redhat.com

- Groomed changed from No to Yes
#6 - 02/09/2018 04:48 PM - dalley
- Tracker changed from Issue to Task

- % Done set to 0

#7 - 04/26/2019 10:36 PM - bmbouter
- Tags deleted (Pulp 3)
